Subject: bug#9999: closed (Re: bug#9999: 23.3; menu related segfault when making new frame)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Nov 2011 18:36:02 +0000

Your bug report

#9999: 23.3; menu related segfault when making new frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9999: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9999
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9999: 23.3; menu related segfault when making new frame
From: Jan Djärv <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 11 Nov 2011 19:35:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

11 nov 2011 kl. 02:59 skrev Stefan Monnier:

>>  /* If frame is ``official'', nothing to do.  */
>>  if (!CONSP (Vframe_list) || !EQ (XCAR (Vframe_list), frame))
> 
> How 'bout changing it to
> 
>  if (NILP (Fmemq (frame, Vframe_list)))
> 
> ?

I did that in x, nd and w32.  However, I can't compile on w32, can someone just double check that it compiles?

Thanks.

	Jan D.

Subject: 23.3; menu related segfault when making new frame
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Wed, 09 Nov 2011 01:18:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

starting with emacs -Q, when I eval the following expression:

(let* ((pop-up-frames t))
  (define-key (lookup-key global-map [menu-bar]) [foo]
    '(menu-item "Foo" ignore :enable (file-exists-p "http://www.foo.com")))
  (setq default-directory "/")
  (make-frame))

Emacs crashs.

I was able to produce the crash on different hosts.

I can provide a backtrace if needed.

In GNU Emacs 23.3.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2011-10-26 on murphy, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11101901
configured using `configure  '--build' 'i486-linux-gnu' '--build' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp' '--with-crt-dir=/usr/lib/i386-linux-gnu' '--with-x=yes' '--with-x-toolkit=lucid' '--with-toolkit-scroll-bars' '--without-gconf' 'build_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t